Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dstc.security.kerberos
Interface PaData

All Known Implementing Classes:
  PaEncTimestamp

public interface PaData

An interface to pre-authentication data passed to an Authentication or Ticket Granting service in a ticket request or returned from the service in a response.

PaData consists of a typed application-specific byte array. Several PaData types have been or are being standardized at the IETF. Supported types in this release are `PA_TGS_REQ` and `PA_PW_SALT` which are handled transparently, and `PA_ENC_TIMESTAMP` for which the class PaEncTimeStamp is available.

PaData is defined in RFC1510 as the ASN.1 structure

        PA-DATA ::=  SEQUENCE {
                     padata-type[1]        INTEGER,
                     padata-value[2]       OCTET STRING,
                             -- might be encoded AP-REQ
                   }

Users requiring pre-authentication other than encrypted timestamp in an initial authentication request can create their own PaData implementation.

See Also:
  `PaEncTimestamp`, `Kerberos`

Field Summary
`static int` | `PA_ENC_TIMESTAMP` Encrypted timestamp PaData (type = 2) included in a request
`static int` | `PA_ENC_UNIX_TIME` Encrypted Unix time PaData (type = 3) sent in a request
`static int` | `PA_PW_SALT` Password salt PaData (type = 2) returned in a response
`static int` | `PA_TGS_REQ` TGS request PaData (type = 1) sent in a service ticket request

Method Summary
`int` | `type()` Returns the type for this PaData
`byte[]` | `value()` Returns the value for this PaData

Field Detail

### PA_TGS_REQ

    public static final int PA_TGS_REQ

  TGS request PaData (type = 1) sent in a service ticket request

### PA_ENC_TIMESTAMP

    public static final int PA_ENC_TIMESTAMP

  Encrypted timestamp PaData (type = 2) included in a request

### PA_PW_SALT

    public static final int PA_PW_SALT

  Password salt PaData (type = 2) returned in a response

### PA_ENC_UNIX_TIME

    public static final int PA_ENC_UNIX_TIME

  Encrypted Unix time PaData (type = 3) sent in a request

Method Detail

### type

    public int type()

  Returns the type for this PaData

### value

    public byte[] value()

  Returns the value for this PaData

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD